Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter
Class AbstractGraphProducingFilter<G extends AbstractGraph<?,?,?>>

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
                      kieker.tools.traceAnalysis.filter.AbstractTraceProcessingFilter
                          kieker.tools.traceAnalysis.filter.AbstractMessageTraceProcessingFilter
                              kieker.tools.traceAnalysis.filter.AbstractGraphProducingFilter<G>

Type Parameters:
  `G` - The graph type created by this filter

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IPlugin, IGraphOutputtingFilter<G>, IGraphProducingFilter<G>

Direct Known Subclasses:
  AbstractDependencyGraphFilter

    public abstract class AbstractGraphProducingFilter<G extends AbstractGraph<?,?,?>>

extends AbstractMessageTraceProcessingFilter
implements IGraphProducingFilter<G>

Abstract superclass for graph-producing filters.

Since:
  1.6
Author:
  Holger Knoche

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary

Fields inherited from class kieker.tools.traceAnalysis.filter.AbstractMessageTraceProcessingFilter
`INPUT_PORT_NAME_MESSAGE_TRACES`

Fields inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
`CONFIG_PROPERTY_VALUE_VERBOSE, REPOSITORY_PORT_NAME_SYSTEM_MODEL`

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Fields inherited from interface kieker.tools.traceAnalysis.filter.IGraphOutputtingFilter
`OUTPUT_PORT_NAME_GRAPH`

Constructor Summary
`AbstractGraphProducingFilter(Configuration configuration, IProjectContext projectContext, G graph)` Creates a new graph-producing filter using the given configuration and the given graph.

Method Summary
`abstract String` | `getConfigurationName()` Returns this filter's configuration name.
`String` | `getGraphOutputPortName()` Returns the name of the port this filter uses to emit the graph.
`void` | `requestOriginRetentionPolicy(IOriginRetentionPolicy policy)` Requests that the given retention policy is used by this graph producer.
`void` | `terminate(boolean error)` Initiates a termination of the plugin.

Methods inherited from class kieker.tools.traceAnalysis.filter.AbstractMessageTraceProcessingFilter
`inputMessageTraces`

Methods inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceProcessingFilter
`getErrorCount, getLastTraceIdError, getLastTraceIdSuccess, getSuccessCount, getTotalCount, printStatusMessage`

Methods inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
`createExecutionByEntityNames, createExecutionByEntityNames, getCurrentConfiguration, getSystemEntityFactory`

Methods inherited from class kieker.analysis.plugin.filter.AbstractFilterPlugin
`init`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Constructor Detail

### AbstractGraphProducingFilter

    public AbstractGraphProducingFilter(Configuration configuration,
                                        IProjectContext projectContext,
                                        G graph)

  Creates a new graph-producing filter using the given configuration and the given graph.

  Parameters:
    `configuration` - The configuration to use
    `projectContext` - The project context to use.
    `graph` - The (usually empty) graph to produce / extend

Method Detail

### getConfigurationName

    public abstract String getConfigurationName()

  Returns this filter's configuration name.

  Returns:
    See above

### terminate

    public void terminate(boolean error)

  Description copied from class: `AbstractFilterPlugin`
  Initiates a termination of the plugin. This method is only used by the framework and should not be called manually. Use the method `AnalysisController.terminate(boolean)` instead. After receiving this notification, the plugin should terminate any running methods, e.g., read for readers.

  Specified by:
    `terminate` in interface `IPlugin`
  Overrides:
    `terminate` in class `AbstractFilterPlugin`
  Parameters:
    `error` - Determines whether the plugin is terminated due to an error or not.

### getGraphOutputPortName

    public String getGraphOutputPortName()

  Description copied from interface: `IGraphOutputtingFilter`
  Returns the name of the port this filter uses to emit the graph.

  Specified by:
    `getGraphOutputPortName` in interface `IGraphOutputtingFilter<G extends AbstractGraph<?,?,?>>`
  Returns:
    See above

### requestOriginRetentionPolicy

    public void requestOriginRetentionPolicy(IOriginRetentionPolicy policy)
                                      throws AnalysisConfigurationException

  Description copied from interface: `IGraphProducingFilter`
  Requests that the given retention policy is used by this graph producer. Note that the producer may choose to use a more liberal, compatible retention policy to satisfy the needs of other graph consumers (see `IOriginRetentionPolicy.isCompatibleWith(IOriginRetentionPolicy)`).

  Specified by:
    `requestOriginRetentionPolicy` in interface `IGraphProducingFilter<G extends AbstractGraph<?,?,?>>`
  Parameters:
    `policy` - The requested policy
  Throws:
    `AnalysisConfigurationException` - If an error occurs during the request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net